Package com.opensymphony.module.sitemesh.filter

# Class RequestDispatcherWrapper

java.lang.Object
com.opensymphony.module.sitemesh.filter.RequestDispatcherWrapper

All Implemented Interfaces:
  `javax.servlet.RequestDispatcher`

public class RequestDispatcherWrapper extends Object implements javax.servlet.RequestDispatcher
Special request dispatcher that will include when an inline decorator includes a resource that uses an internal forward.

Version:
  $Revision: 1.2 $
Author:
  Joseph B. Ottinger
See Also:
  - `ApplyDecoratorTag`

## Field Summary

Fields
Modifier and Type
Field
Description
`private boolean`
`done`
`private javax.servlet.RequestDispatcher`
`rd`

### Fields inherited from interface javax.servlet.RequestDispatcher

`ERROR_EXCEPTION, ERROR_EXCEPTION_TYPE, ERROR_MESSAGE, ERROR_REQUEST_URI, ERROR_SERVLET_NAME, ERROR_STATUS_CODE, FORWARD_CONTEXT_PATH, FORWARD_MAPPING, FORWARD_PATH_INFO, FORWARD_QUERY_STRING, FORWARD_REQUEST_URI, FORWARD_SERVLET_PATH, INCLUDE_CONTEXT_PATH, INCLUDE_MAPPING, INCLUDE_PATH_INFO, INCLUDE_QUERY_STRING, INCLUDE_REQUEST_URI, INCLUDE_SERVLET_PATH`

## Constructor Summary

Constructors
Constructor
Description
`RequestDispatcherWrapper(javax.servlet.RequestDispatcher rd)`

## Method Summary

Modifier and Type
Method
Description
`void`
`forward(javax.servlet.ServletRequest servletRequest, javax.servlet.ServletResponse servletResponse)`
`void`
`include(javax.servlet.ServletRequest servletRequest, javax.servlet.ServletResponse servletResponse)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### rd

private javax.servlet.RequestDispatcher rd

### done

private boolean done

## Constructor Details

### RequestDispatcherWrapper

public RequestDispatcherWrapper(javax.servlet.RequestDispatcher rd)

## Method Details

### forward

public void forward(javax.servlet.ServletRequest servletRequest, javax.servlet.ServletResponse servletResponse) throws javax.servlet.ServletException, IOException

Specified by:
  `forward` in interface `javax.servlet.RequestDispatcher`
Throws:
  `javax.servlet.ServletException`
  `IOException`

### include

public void include(javax.servlet.ServletRequest servletRequest, javax.servlet.ServletResponse servletResponse) throws javax.servlet.ServletException, IOException

Specified by:
  `include` in interface `javax.servlet.RequestDispatcher`
Throws:
  `javax.servlet.ServletException`
  `IOException`